@import "../../../_mixins.scss";

.add-sow {
  overflow: auto;

  .loader {
    position: fixed;
    left: 47%;
  }

  .select-type {
    padding: 15px;
  }

  .sow-add-edit-header {
    display: flex;
    margin-bottom: 10px;
    align-items: center;
    justify-content: space-between;
    h3 {
      margin: 0;
    }

    .checkbox-section {
      display: flex;
      gap: 15px;
    }
    .checkbox-holder {
      position: relative;
      display: flex;
      flex-direction: row;
      align-items: unset;
      .checkbox__content {
        margin-top: 7px;
      }
    }
  }

  .sow-validations-error-quote {
    color: red;
    font-family: var(--font-first);
    font-size: var(--font-s);
    min-height: 17px;
    display: block;
  }

  .markdown {
    display: flex;
    flex-direction: column;
    background: white;
    border-top: 1px solid #eef2f5;
    position: relative;

    .field-section {
      padding: 5px 20px;
    }

    .field-section + .upload-img-button {
      margin: 132px 0 0 292px;
    }

    .markdown-editor-input {
      width: 100%;
      padding: 0px 20px;

      label {
        padding: 10px 0;
      }
    }

    .select-sow-error {
      color: red;
      font-size: var(--font-s);
      margin-top: -20px;
      padding: 0px 25px;
    }
  }

  .markdown-error {
    .CodeMirror {
      border-color: red !important;
    }

    .editor-toolbar {
      border-color: red !important;
    }
  }

  .input-label-box {
    display: flex;
    background: white;
  }

  .template-fields {
    margin: 10px 0 0 0;
    padding: 0;
    display: flex;
    flex-direction: column;

    .field {
      background: white;
      margin: 10px 0px;
      .options.input-label-box {
        .radio-btn-group .radio-btn {
          margin-bottom: 5px;
        }
      }
    }

    .section-heading {
      font-weight: 700;
      border-bottom: 1px solid #ccc;
      padding: 15px 20px;
      background-color: white;
      text-transform: uppercase;
      display: flex;
      justify-content: space-between;

      .action-collapse {
        font-size: 23px;
        width: 20px;
        margin: -7px;
        cursor: pointer;
      }
    }

    .single-field {
      padding: 0 20px 0 0px;

      //margin-bottom: 10px;
      .options {
        flex-direction: column;
      }

      .options-content {
        .field__input {
          padding-top: 5px;

          .radio-btn-group .radio-btn {
            margin-bottom: 5px;

            span {
              font-family: var(--font-first);
              color: var(--base-black);
              font-size: var(--font-s);
              font-weight: 600;
            }
          }
        }
      }
    }
  }

  .field--collapsed {
    .section-heading {
      cursor: pointer;
    }
    .body-section {
      display: none;
    }
  }

  .sub-section-fields {
    padding: 0;
    .sub-section {
      padding: 0;
      > div {
        padding: 0;
      }
      textarea {
        padding: 5px 10px !important;
      }
    }
  }

  .board-error {
    display: flex;
    color: red;
    font-size: var(--font-s);
    padding: 5px 0 0px 20px;
    font-family: var(--font-first);
  }

  .basic-field {
    display: flex;
    flex-wrap: wrap;
    background: white;
  }

  .select-sow {
    .field__label-required::after {
      content: "*";
      color: #f00;
      margin-left: 3px;
      font-size: var(--font-s);
      position: absolute;
    }

    .select-sow-error {
      color: red;
      font-family: var(--font-first);
      font-size: var(--font-s);
      min-height: 17px;
      display: block;
    }
  }

  .markdown-editor-input {
    .required-start {
      color: #f00;
    }
  }

  .markdown-required {
    label::after {
      content: "*";
      color: #f00;
      margin-left: 3px;
      font-size: var(--font-xs);
    }
  }

  .opportunity {
    .rounded-add-button {
      cursor: pointer;
      width: 20px;
      float: right;
      margin: -30px -25px 0 0;
    }
  }

  .select-markdown-error {
    color: red;
    font-size: var(--font-s);
    margin-top: -20px;
    padding: 0 0 10px 20px;
    font-family: var(--font-first);
  }

  .service-cost-body {
    background: white;
    margin: 0px 0px 10px 0px;

    .project-scope-detail {
      display: flex;
      flex-direction: column;
      .total-nos {
        .project-scope-row {
          display: flex;
          align-items: center;
          .select-type {
            display: flex;
            .field__label {
              width: 200px;
            }
          }
          .checkbox-holder {
            margin: -10px 0 0 15px;
            .checkbox__content {
              margin: 7px 0 0 7px;
            }
          }
        }
      }
    }

    .phases,
    .estimated-hours-rates,
    .estimated-hours-rates-container {
      display: flex;
      flex-direction: column;
      position: relative;
      .sub-heading {
        .text {
          display: flex;
          justify-content: space-between;
          align-items: flex-end;
          margin: 0 0 0 2px;
          .eht-actions-right {
            display: flex;
            img.icon-reset-static,
            img.reset-icon__loading {
              width: 20px;
              float: right;
              cursor: pointer;
            }
            button.square-btn.add-vendor {
              margin-left: 15px;
            }
          }
        }
        .order-checkbox {
          float: right;
          padding-right: 5px;
          .checkbox__content {
            margin: 7px 0 0 7px;
          }
        }
      }
      .DraggableTags {
        padding: 0 15px;
      }
      .phase-header,
      .estimated-hours-header {
        display: flex;
        padding: 0 15px 0 30px;
        font-weight: 550;
        font-size: var(--font-m);
        margin-bottom: 10px;
        > div {
          padding: 0 10px 0 20px;
        }
        .override-header {
          padding: 0;
          text-align: center;
        }
        .hide-header {
          padding: 0;
          width: 60px;
          text-align: center;
        }
      }
      .override-img {
        padding: 0 10px;
        text-align: center;
      }

      .mapping-row {
        display: flex;
        align-items: center;
        padding: 0 15px 0 30px;
        position: relative;
        .edit-btn {
          margin: 0;
          border-radius: 50%;
          border: none;
          background: url(/assets/new-icons/edit_pencil.svg) center no-repeat;
          background-size: 12px;
          background-color: #f3f3f3;
          position: absolute;
          left: 7px;
          &:hover,
          &:focus,
          &:active:hover,
          &:active:focus,
          &:hover:focus,
          &:active {
            border: none;
            background: url(/assets/new-icons/edit_pencil.svg) center no-repeat;
            background-size: 15px;
            background-color: #dfdfdf;
          }
        }
        .eht-static-text {
          align-self: center;
          .static-text-desc {
            font-weight: 500;
            font-style: italic;
            font-size: var(--font-xs);
            margin-top: 3px;
            color: gray;
          }
        }
        .field-section {
          padding: 5px 10px;
        }
        .field-section.disabled {
          margin-bottom: 17px;
        }
        .override-column {
          display: flex;
          justify-content: center;
          margin-top: -7px;
        }
        .hide-column {
          width: 60px;
          padding: 0;
        }
        .confirm-help-icon {
          padding: 0 10px;
        }
        .remove-vendor-tm {
          padding: 0;
          .delete-confirm-btn {
            margin-left: 0;
          }
        }
        .mapping-row-text {
          font-weight: 500;
          font-size: var(--font-s);
          padding: 0 10px 0 20px;
        }
        .field__warning {
          font-weight: 500;
          font-style: italic;
          margin-left: 10px;
          font-size: var(--font-xs);
          color: gray;
          padding-top: 2px;
        }
      }
      .ordering-phase {
        border: 1px solid lightgray;
        padding-bottom: 15px !important;
        margin: 5px 0;
        border-radius: 5px;
        .override-img {
          margin-top: 15px;
        }
        .override-column {
          margin-top: 10px !important;
        }
        .field-section {
          margin-bottom: 0px !important;
          padding-top: 0 !important;
          padding-bottom: 0 !important;
          div.row.field__input input:not([type="radio"]):disabled,
          .Select.is-disabled > .Select-control,
          .Select--single.is-disabled .Select-value {
            cursor: move;
          }
        }
      }
      .default-mapping-row {
        min-height: var(--input-height);
        align-items: flex-start;
        padding-top: 10px;
        .col-md-4 {
          display: flex;
          flex-direction: column;
          span.info-recomended {
            color: green;
            font-style: italic;
            display: inline-block;
            margin-top: 5px;
          }
        }
      }
    }

    .contractors {
      display: flex;
      flex-direction: column;
      .contractor-row {
        display: flex;
        align-items: center;
        justify-content: space-between;
        .field-section {
          padding: 0px 5px;
        }
        .disabled-calculations {
          margin-bottom: 17px;
        }
      }

      span.checkbox-holder.product-type {
        margin: 5px 10px 0;
      }
      .confirm-help-icon {
        margin-top: 10px;
      }
    }

    .travelscontractors {
      display: flex;
      flex-direction: column;
      .contractor-row {
        padding: 0 5px;
        display: flex;
        align-items: center;
        .field-section {
          padding: 0 20px;
        }
        .confirm-help-icon {
          margin-top: 15px;
        }
      }
    }

    .calculations {
      .field-section {
        padding: 15px 5px;
      }
    }

    .sub-heading {
      //border-bottom: 1px solid #ccc;
      margin: 15px 0px 10px 0px;
      font-weight: 600;

      .text {
        border-bottom: 1px solid #ccc;
        padding: 5px;
        margin: 10px 0px;
      }

      .sow-profit-margin-row {
        display: flex;
        width: 100%;
        .get-gross-margin {
          height: var(--input-height);
          margin: 42px 0 0 10px;
          min-width: unset;
          width: fit-content;
        }
      }
    }

    .sub-heading-notes {
      font-weight: 600;

      .text {
        padding: 5px 0;
      }
    }

    .notes {
      margin: 30px 0;
      padding: 0px 5px;

      .field-section div.row.field__input textarea {
        height: 160px;
      }

      .ql-sow-notes {
        padding: 0;
        img.fullscreen-btn {
          margin-top: 10px;
        }
      }
    }

    .version-section {
      display: flex;
      flex-direction: column;
      padding: 0;

      textarea {
        height: 150px !important;
      }
    }
    span.checkbox-holder.zero-dollar {
      margin: 0 0 0 5px;
      .checkbox__content {
        margin: 7px 0 0 10px;
      }
    }
    .checkbox-zero-dollar input[type="checkbox"].checkbox__input {
      margin-top: -8px !important;
      margin-left: -15px !important;
    }
  }

  .add-new-option-sow {
    min-width: 20px !important;
    height: var(--input-height);
    margin-left: 10px;
    font-size: 30px !important;
    line-height: 0 !important;
    text-overflow: unset !important;
    margin-top: 33px;
  }

  .add-new-option-box {
    width: 100%;
  }

  .add-new-option-section {
    display: flex;
  }

  .upload-img-button {
    width: 30px;
    margin-left: 20px;
    height: 30px;
    margin: 47px 21px 0 286px;
    position: absolute;
    min-width: unset !important;
    border: none !important;
    z-index: 999;
    padding: 4px !important;

    .icon-upload {
      width: 16px;
      height: 16px;
      border: unset;
      filter: brightness(0.5);
    }

    &:hover,
    &:active,
    &:focus {
      border: 1px solid #95a5a6 !important;
    }
  }

  .quote-name-doc {
    line-height: var(--input-height);
    border-radius: 0;
    font-family: var(--font-first);
    font-size: var(--font-s);
    font-weight: normal;
    font-style: normal;
    font-stretch: normal;
    letter-spacing: 0.4px;
    text-align: left;
    color: #333;
    padding: 0px 10px;
    background-color: var(--disabled);
    cursor: not-allowed;
  }

  .history-buttons {
    min-width: 70px !important;
    width: 80px;
    margin: 0 5px 0 5px !important;
    padding: 4px !important;
    height: 23px;
    line-height: 0 !important;
  }

  button.btn.icon-btn.version-btn {
    background-size: 18px !important;

    &:hover,
    &:active,
    &:focus {
      background-size: 20 px !important;
    }
  }

  .checkbox-option {
    padding: 20px;
    margin-bottom: 10px;
  }

  .override {
    display: flex;
  }

  .hours-override-required {
    content: "*";
    color: #f00;
    margin-left: 3px;
    font-size: var(--font-xs);
  }

  span.checkbox-holder.hours-override {
    margin: -7px 0 0 15px;
  }

  .item-notes {
    .tooltip-inner {
      width: 350px !important;
      max-width: inherit;
    }

    .tooltip-arrow {
      transform: rotate(221deg);
      z-index: -1;
    }
  }

  .sow-config-quill {
    padding: 5px 20px;
  }

  .img-button-reset {
    width: fit-content;
    height: fit-content;
    top: 125px;
    right: 55px;
    position: absolute;
    min-width: unset !important;
    border: none !important;
    z-index: 999;
    padding: 4px !important;

    .icon-reset {
      width: 16px;
      height: 16px;
      border: unset;
      filter: brightness(0.5);
    }
  }

  .img-button-reset:hover {
    border: none !important;
    cursor: pointer;
  }
  .img-button-reset:hover img {
    filter: invert(30%) sepia(75%) saturate(1928%) hue-rotate(194deg)
      brightness(85%) contrast(105%) !important;
  }

  .add-new-row {
    font-size: var(--font-s);
    font-weight: 500;
    cursor: pointer;
    color: var(--primary);
    width: fit-content;
    display: flex;
    margin-left: 20px;
    align-items: center;
    span.add-new-row-plus {
      font-size: 25px;
      font-weight: 400;
      display: inline-block;
      margin-right: 3px;
    }
    &:hover {
      opacity: 0.7;
    }
  }
}

.sow-listing {
  .header {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    padding: 0px 0px 10px 0px;
  }

  .loader {
    left: 55%;
  }

  .table-container
    .table-container__table
    .ReactTable
    .rt-table
    .rt-thead.-header:first-child {
    padding-left: 0px;
  }

  .download-btn {
    padding-left: 5px;
  }

  .icon-btn {
    margin-left: 5px;
  }

  .SOW-users-listing__actions {
    background: white;
    display: flex;
    flex-direction: column;

    .field__input input:not([type="radio"]) {
      height: var(--input-height);
    }

    .checkbox-header {
      display: flex;
      min-width: 345px;
      margin-bottom: 5px;
      .checkbox-holder {
        margin-right: 15px;
      }
    }

    .field-section {
      max-width: 400px;
      padding: 0px 15px;
    }

    .actions-right {
      display: flex;
      margin: auto 0 auto auto;

      .btn.square-btn {
        font-size: var(--font-xs);
        padding: 4px 8px 3px;
        height: 29px;
        min-width: 65px;
        margin-left: 15px;
        width: 100px;

        img {
          padding-right: 3px;
          width: 20px;
        }

        &:hover,
        &:active,
        &:focus {
          img {
            filter: invert(75%);
          }
        }
      }
      .btn.square-btn.add-btn {
        width: unset;
      }
    }

    .row-action {
      display: flex;

      .left {
        width: 810px;
        display: flex;
        align-items: center;
      }
    }

    .sow-filters {
      display: inline-block;
      padding: 5px 20px;
      overflow: auto;

      .filter {
        background: var(--primary);
        padding: 3px 3px 3px 10px;
        margin: 2px;
        border-radius: 15px;
        display: inline-block;
        color: white;
        flex-direction: row;

        label {
          color: white;
        }

        span {
          min-width: 8px;
          padding: 5px 15px 5px 5px;
          position: relative;
          cursor: pointer;

          &::before,
          &::after {
            display: block;
            content: " ";
            width: 10px;
            height: 2px;
            background: white;
            position: absolute;
            top: 12px;
            right: 4px;
          }

          &::after {
            transform: rotate(45deg);
          }

          &::before {
            transform: rotate(-45deg);
          }
        }
      }
    }
  }

  .icons-template {
    img {
      width: 25px;
    }

    img.cloud-svg {
      border-radius: 50%;
      border: 1px solid rgb(1, 159, 227);
      padding: 0 2px 4px 3px;
      margin-left: -4px;
    }

    img.forecast-warning {
      width: 21px !important;
    }

    img.forecast-warning + img.left {
      margin-left: 5px;
    }

    img.left {
      margin: 0px 5px 0 15px;
      padding: 1.5px;
    }

    .quote {
      width: 20px !important;
      margin-left: 10px !important;
    }

    img.change-request {
      margin-left: 4px;
      padding: 1px;
    }
  }

  .quote-name-listing {
    text-overflow: ellipsis;
    width: 200px;
    white-space: nowrap;
    overflow: hidden;
  }
}

.sow-container {
  display: flex;
  height: 88vh;
  .footer {
    display: flex;
    align-items: center;
    flex-direction: column;

    .btn.square-btn {
      margin: 15px 5px;
      max-width: 200px;
    }

    .sow-checkboxes {
      display: flex;
      flex-direction: column;
      gap: 5px;
      padding: 0 0 0 5px;
      margin-bottom: 10px;
    }

    .doc-details {
      padding: 10px 0px 15px;
      font-weight: 500;
      display: flex;
      text-align: left;
      flex-direction: column;
      width: 175px;

      div {
        padding-top: 5px;
      }

      span {
        font-weight: 600;
      }
    }

    .preview-btns {
      button.btn.icon-btn.view-button-template {
        margin: 5px;
      }
    }

    button.square-btn {
      margin: 15px 5px;
      max-width: 200px;
      min-width: 175px;
    }

    .save-mapping {
      span > img {
        width: 17px;
        height: 17px;
        margin-right: 5px;
      }
    }
  }
}

.add-quote {
  width: 100%;

  .error-input {
    padding-bottom: 2px;
    border: 1px solid #f00;
  }

  .field__label-required::after {
    content: "*";
    color: #f00;
    margin-left: 3px;
    font-size: var(--font-xs);
    position: absolute;
  }

  .field-error {
    color: red;
    font-family: var(--font-first);
    font-size: var(--font-s);
    min-height: 17px;
    display: block;
  }
}

#sm-popup-box.sow-calculation-details {
  .tooltip-arrow {
    left: 0;
    z-index: -1;
    transform: rotate(221deg);
  }

  .tooltip-inner {
    width: 400px;
    resize: both;
    overflow: auto;
    max-width: none;
    .section-for-elements {
      height: 80%;
      .calculation-details {
        padding: 0 20px 0 0;
        height: 400px;
        overflow: auto;

        .block-status {
          display: flex;
          justify-content: space-between;
          width: 100%;
          padding: 5px;
          margin: 5px 15px;
          border: 1px solid #ccc;

          .name {
            font-weight: 600;
          }
        }

        .heading {
          padding: 2px 15px;
          font-weight: 600;
        }
      }
      .box {
        height: 100%;
        .field-section {
          height: 100%;
          div.row.field__input textarea {
            height: 100%;
          }
          div.row.field__input {
            height: 85%;
          }
        }
      }
      .actions {
        margin: 10px 0 0 0;
      }
    }
  }
}

.vendor-form-body {
  position: relative;
  .vendor-modal-spinner {
    position: absolute;
    z-index: 1;
    left: -1%;
    top: 35%;
  }
  .col-md-12.row {
    padding: 0;
    .field-section .field__label.row .tooltip-tail {
      margin-bottom: 3px;
    }
  }
}

.vendor-alias-edit-container {
  width: 100%;
  position: relative;
  display: flex;
  gap: 10px;
  .field-section {
    padding: 0;
  }
  .loader {
    top: 0;
  }
}
.icons-template {
  display: flex;
  .ellipse-actions-close {
    background: url(/assets/icons/cancel.svg) center center no-repeat;
    position: absolute;
    width: 20px;
    height: 20px;
    right: 0;
    margin: -5px -7px 0 0;
  }
  .ellipse-actions {
    display: flex;
    flex-direction: row;
    padding-right: 0px;
    padding: 13px 0 00 5px;

    .ellipse-item {
      background-color: #4e575c;
      height: 3px;
      width: 3px;
      border-radius: 50%;
      margin: 0 0 0 2px;
    }

    .rowellipse-actions {
      position: absolute;
      display: flex;
      flex-direction: column;
      align-items: start;
      background-color: white;
      border: solid 1px #d3dde0;
      border-radius: 2px;
      right: 40px;

      .option-dropdown {
        cursor: pointer;
        padding: 2px 8px;
        width: 100%;
        &:hover {
          background-color: #eee;
        }

        .label {
          color: #444;
          font-size: smaller;
          font-weight: 500;
          text-align: left;
          width: 100%;
        }
      }
    }

    .action-status-message-sales {
      height: 20px;
      padding: 3px 8px 1.3px;
      border-radius: 4px;
      border: solid 1px #176f07;
      background-color: #176f07;
      position: absolute;

      .message-text {
        margin-top: -10px;
        color: white;
      }
    }
  }
}
